Page MenuHomePhabricator

Upgrade pbr for zuul
Closed, ResolvedPublic

Description

Pbr should be upgraded as upstream uses a newer version. But the only problem is the new version chokes on the version we use in the debian package. ValueError: Unknown remainder ['-8-gcbc7f62-wmf4jessie1'] in '2.5.0-8-gcbc7f62-wmf4jessie1'

we should fix that and then upgrade pbr.

this is a follow up to T153877

Event Timeline

Paladox created this task.Apr 12 2017, 10:08 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2017, 10:08 AM
Paladox updated the task description. (Show Details)Apr 12 2017, 10:08 AM

Change 375839 had a related patch set (by Paladox) published:
[integration/zuul@upstream] Remove pbr from zuul

https://gerrit.wikimedia.org/r/375839

Addshore moved this task from Unsorted 💣 to Watching 👀 on the User-Addshore board.

Now that we use a shorter version, should we try making it shorter as we doint include the dist in the version now?

Change 412884 had a related patch set uploaded (by Paladox; owner: Paladox):
[integration/zuul@debian/jessie-wikimedia] Fix support for pbr 1.x (change version to 2.5.1-1.gbpbbb92b)

https://gerrit.wikimedia.org/r/412884

Change 501323 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/zuul@patch-queue/debian/jessie-wikimedia] WMF: get version from pkg_resources

https://gerrit.wikimedia.org/r/501323

Change 501323 merged by Hashar:
[integration/zuul@patch-queue/debian/jessie-wikimedia] WMF: get version from pkg_resources

https://gerrit.wikimedia.org/r/501323

Change 501325 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/zuul@debian/jessie-wikimedia] 2.5.1-wmf6: bugfix and Gerrit 2.16 support

https://gerrit.wikimedia.org/r/501325

hashar claimed this task.Apr 4 2019, 2:12 PM

Change 501325 merged by jenkins-bot:
[integration/zuul@debian/jessie-wikimedia] 2.5.1-wmf6: bugfix and Gerrit 2.16 support

https://gerrit.wikimedia.org/r/501325

Change 412884 abandoned by Hashar:
Fix support for pbr 1.x (change version to 2.5.1-1.wmf1)

Reason:
Fixed up differently so that instead of using pbr versioninfo (which expect a pip valid version), it knows just get the version from distribute.

https://gerrit.wikimedia.org/r/412884

Change 375839 abandoned by Paladox:
Remove pbr from zuul

https://gerrit.wikimedia.org/r/375839

hashar closed this task as Resolved.Apr 8 2019, 12:27 PM

I have upgraded Zuul to 2.5.1-wmf6 (T208426):

contint1001:~$ zuul --version
Zuul version: 2.5.1-wmf6